<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

$desde=$_GET['desde'];
$hasta=$_GET['hasta'];
$art_id=$_GET['art_id'];
$tot_costo=0;
$tot_venta=0;
$tot_utilidad=0;
$tot_can=0;

$registros=mysqli_query($con,"SELECT * from ventas v ,venta_detalle d WHERE v.ven_fecha BETWEEN '$desde' AND '$hasta' and v.sucursal='$sucursal' and v.empresa='$empresa' and d.vend_art_id='$art_id' and d.ventas_ven_id=v.ven_id ") or die(mysqli_error($con));

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();

$art=mysqli_query($con, "SELECT * from articulos where art_id='$art_id' ");
$art=mysqli_fetch_array($art);
$art_referencia=$art['art_referencia'];
$art_nombre=$art['art_nombre'];

$pdf->Cell(0,10,'UTILIDAD DE ARTICULOS '.$desde. ' HASTA ' .$hasta,0,1);
$pdf->Cell(0,10,$art_nombre,0,1);

$pdf->SetFillColor(235,150,200);
$pdf->SetFont('Arial','B',7);
$pdf->Cell(15,4,'FECHA',1,0,'C',1);
$pdf->Cell(80,4,'FACTURA',1,0,'C',1);
$pdf->Cell(20,4,'UM',1,0,'C',1);
$pdf->Cell(15,4,'CANTIDAD',1,0,'C',1);
$pdf->Cell(20,4,'PRECIO COSTO',1,0,'C',1);
$pdf->Cell(20,4,'PRECIO VENTA',1,0,'C',1);
$pdf->Cell(20,4,'UTILIDAD',1,0,'C',1);
$pdf->Ln();    

$pdf->SetFont('Arial','',7);
$pdf->SetFillColor(255,255,255);

$utt=0;
$pcc=0;
$pvv=0;
$pres_unidad = '';
$total_cantidad=0;
while ($row=mysqli_fetch_array($registros))
{
    $ven_fecha=$row['ven_fecha'];
    $vend_art_id=$row['vend_art_id'];
    $vend_referencia=$row['vend_referencia'];
    $vend_nombre=$row['vend_nombre'];
    $vend_unidad=$row['vend_unidad'];
    $vend_cantidad=$row['vend_cantidad_dev'];
    $vend_x_cantidad=$row['vend_x_cantidad'];
    $vend_costo=$row['vend_costo'];
    $vend_precio_real=$row['vend_precio_real'];

    $can2=mysqli_query($con,"SELECT * FROM articulos_presentacion where pres_art_id='$art_id' and pres_defecto='si' ") or die(mysqli_error($con)); 
    if ($dato2 = mysqli_fetch_array($can2)) {
        $pres_unidad = $dato2['pres_unidad'];
    }

    if ($vend_costo==null) 
    {
        $art=mysqli_query($con,"SELECT * from articulos where art_id='$vend_art_id'");
        $row1=mysqli_fetch_array($art);
        $precio_costo=$row1['art_precio_costo']*$vend_x_cantidad;
    }
    else
    {
        $precio_costo=$vend_costo*$vend_x_cantidad;
    }

    $total_cantidad+=$vend_cantidad*$vend_x_cantidad;


    $costo=$precio_costo*$vend_cantidad;
    $venta=$vend_precio_real*$vend_cantidad;
    $utilidad=$venta-$costo;

    $pcc+=$costo;   
    $pvv+=$venta;
    $utt+=$utilidad;

    $pdf->SetWidths(array(15,80,20,15,20,20,20));
    srand(time()*1000000);
    $pdf->Row(array($ven_fecha,$row['ven_prefijo'].$row['ven_n_venta'],$vend_unidad,$vend_cantidad,number_format($costo,0),number_format($venta,0),number_format($utilidad,0)));
}   

$pdf->SetFillColor(150,150,255);
$pdf->Cell(95,4,'TOTAL',1,0,'C',1);
$pdf->Cell(20,4,$pres_unidad.'(S)',1,0,'C',1);
$pdf->Cell(15,4,$total_cantidad,1,0,'C',1);
$pdf->Cell(20,4,number_format($pcc,0),1,0,'C',1);
$pdf->Cell(20,4,number_format($pvv,0),1,0,'C',1);
$pdf->Cell(20,4,number_format($utt,0),1,0,'C',1);
$pdf->Ln();

$pdf->Output();

?>